Package org.eclipse.rap.rwt.client.service

# Interface ExitConfirmation

All Superinterfaces:
  `ClientService`, `Serializable`

public interface ExitConfirmation extends ClientService
The exit confirmation service allows applications to show a confirmation dialog before the user leaves the application, e.g. by closing the browser tab or navigating away from the page. This feature is supported by all relevant web browsers and may also be supported by other clients. Please note that some browsers ignore the message and only display a generic confirmation dialog if a message is set.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
Returns the current exit confirmation message.
`void`
`setMessage(String message)`
Enables the exit confirmation with the given message if the message is not null.

## Method Details

### setMessage

void setMessage(String message)
Enables the exit confirmation with the given message if the message is not null. Setting the message to `null` disables the exit confirmation.

Parameters:
  `message` - the message to display when the user is about to leave the application

### getMessage

String getMessage()
Returns the current exit confirmation message.

Returns:
  the current exit confirmation message or null, it the exit confirmation is disabled